Subject: Showing support during IETF LC...

From: Warren Kumari <[email-masked]>
Date: Fri, 22 Feb 2013 19:46:19 -0500

Hi there,

So, I have an etiquette question[0].

When a draft comes up for IETF LC, you get the standard:
"The IESG has received a request from the Funny Orange Orangutang WG (foo) to
consider the following document: 'Orangutans Considered Harmful" <draft-ietf-foo-dangerous-orangutangs-04.txt>

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action. Please send substantive comments to the
[email-masked] mailing lists by 1970-01-01."

So, if I have issues with the draft, I know to send them to the list -- but what if I simply want to show support?

Normally I figure that if the draft is the product of a WG there is already demonstrated support, and so I don't bother cluttering up the list with "+1, me too, FTW!, etc." but is this actually the right thing to do? What if I really think the draft is important / useful; is it appropriate then? Or, if I think that the draft may not pass otherwise? Is there any difference if it is not a WG product? 

What would Miss Manners say?

W
[0]: Asking etiquette questions on -discuss seems only marginally saner than asking dining or travel questions on -attendees , but… :-P
--
"Let's just say that if complete and utter chaos was lightning, he'd be the sort to stand on a hilltop in a thunderstorm wearing wet copper armour and shouting 'All gods are bastards'."

    -- Rincewind discussing Twoflower (Terry Pratchett, The Colour of Magic)

---

From: John Leslie <[email-masked]>
Date: Fri, 22 Feb 2013 20:29:37 -0500

Warren Kumari <[email-masked]> wrote:
> 
> Normally I figure that if the draft is the product of a WG there is
> already demonstrated support, and so I don't bother cluttering up the
> list with "+1, me too, FTW!, etc." but is this actually the right thing
> to do? What if I really think the draft is important / useful; is it
> appropriate then? Or, if I think that the draft may not pass otherwise?
> Is there any difference if it is not a WG product? 
> 

   Miss Manners would almost certainly say that clogging the <ietf> list
with +1 is bad manners. Let me explain a bit.

   The message from the IESG starts a formal process to "judge" "IETF
consensus". The rules of this may seem counter-intuitive, but they are
well-established.

   IETF Consensus is presumed if folks are "sufficiently" notified and
post nothing pointing out unresolved issues. Thus "I support" and
"I oppose" are both meaningless (and Miss Manners would say, "Don't
do it.")

   The process continues "long enough" for folks to react under
"normal" circumstances. Usually during this LastCall, a sponsoring
Area Director (IESG member) issues a "ballot" to the IESG members.
Traditionally, that AD ballots "Yes" at that time.

   Formally, it makes no difference what issues are raised in response
to a LastCall announcement: unless some other AD ballots Discuss, the
IESG will generally approve a WG submission by getting enough "No
Objection" ballots. The process is defined at:
www.ietf.org/iesg/voting-procedures.html

   More often than not, there are no comments either way to the <ietf>
list, and the ADs must read through the document themselves or rely on
a "directorate" review to find issues which might deserve a Discuss.
In theory, an individual raising an issue on the <ietf> list has the
same weight as a directorate review, but in practice each AD takes a
directorate review more seriously unless he/she knows the commentor
well.

   After the IETF-wide LastCall, the issue is placed on an IESG agenda,
whereupon it will generally pass in the absence of a Discuss, whether
or not anybody commented during the LastCall.

   There is a theory, observed mostly in the breach, that discussion
on the <ietf> list will follow and resolve any issues raised by an
individual responding to the LastCall. When this happens, it is a
Good Thing (TM).

   (I think this covers your particular questions; but if you disagree,
feel free to ask for clarification. Just please read the IESG statement
I linked to first.)

--
John Leslie <[email-masked]>

---

From: SM <[email-masked]>
Date: Fri, 22 Feb 2013 23:32:29 -0800

Hi John,
>"I oppose" are both meaningless (and Miss Manners would say, "Don't

Yes.

The Last Call boilerplate says "substantive comments".  One unproven 
theory is that it is for a person to clearly express what he or she 
thinks.  It helps if the person can explain why he or she reached 
that conclusion.

>individual responding to the LastCall. When this happens, it is a

Yes.

"Whatever is true in one form of words is true in every other form of 
words which conveys the same meaning".  The unproven theory is that 
the law of identity is applicable when there is a show of support 
during a Last Call.

Regards,
-sm

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 23 Feb 2013 08:04:23 +0000

I think it's worth looking at what draft-resnick-on-consensus
says about the nature of rough consensus. It tells us why
reasoned objections are more important than "+1" messages
(or "-1" messages for that matter).

By the same token, it seems that a reasoned message saying
why something is important and valuable would help the IESG,
if the document is on a somewhat obscure topic. However, as
John Leslie pointed out, that isn't strictly necessary, since
silence is equivalent to saying "no objection".

All IMHO, YMMV, of course.

   Brian

---

From: John C Klensin <[email-masked]>
Date: Sat, 23 Feb 2013 09:41:44 -0500

--On Saturday, February 23, 2013 08:04 +0000 Brian E Carpenter
<[email-masked]> wrote:

>...

Two small additions.  

First, "no objection" and silence by IESG members are roughly
equivalent, but approval of a document with complete community
silence (either outside the relevant WG or on an individual
submission) makes some ADs nervous (and, IMO, should) and, in
theory at least, would be subject to appeal on the grounds that
there is no actual evidence of _community_ consensus.  IMO at
least, if a question is asked about a document and there are
nothing but blank stares, that is not evidence of consensus.  As
draft-resnick-on-consensus effectively points out, that depends
a bit on what question is asked and where.  However, I note that
RFC 2026 contains language like (Section 1.2) "establishing
widespread community consensus", (Section 6.5) "genuine
consensus achieved" and that doesn't imply to me that approval
by speechless zombies is sufficient.

Second, I strongly agree about warnings again clutter on the
IETF list and that "+1" is pretty useless to all concerned.
What seems to be missing from the thread is that there are other
alternatives.  In particular, I think it may be reasonable to
send a note to the IESG (not the IETF list) or even to just the
AD who is responsible for a document (who can always forward to
the IESG if he or she thinks that necessary), the says "I've
studied this and don't see any problems", "I've read this and,
while I'm not an expert in the field, I don't see a problem",
"after reviewing this, I don't see any problems and it appears
to be useful" or something along those lines.  None of those
help much with "why should this be approved", but they do
provide evidence that people have actually reviewed the document
rather than letting it go on the grounds that someone else will
do so.

> All IMHO, YMMV, of course.

For me as well.
    john

---

From: Jari Arkko <[email-masked]>
Date: Tue, 26 Feb 2013 02:03:57 +0700

Agree with what John, Brian, and others have said. FWIW, at times - particularly with documents having some controversy - the ADs are left wondering what the silent majority is thinking. So in some cases the private messages to the AD in question or to the IESG are helpful. And while "+1" is usually bad form, indicating that you've done a thorough review and found no issues is appreciated. (Or better yet, that you intend to put this technology into your own use.)

> directorate review more seriously unless he/she knows the commentor

I hope that is not the case. It should not be. The concerns raised in a comment to the list, from an individual or directorate, should be weighed on how "reasoned messages" they are. How they are justified. And your own understanding of the issue and its seriousness, now that it has been explained. Of course, we are all humans, so there can be natural bias to trusting people you know more than others. But we are _trying_ to do it differently.

Naturally, an opinion from, say, a working group chair in the same area tends to be well-reasoned, because he or she has a lot of experience in the matter. But just because he or she might be a directorate member should not result in the opinion being weighed any more than someone else's.

Jari

---

From: Mary Barnes <[email-masked]>
Date: Mon, 25 Feb 2013 13:16:34 -0600

> Agree with what John, Brian, and others have said. FWIW, at times - particularly with documents having some controversy - the ADs are left wondering what the silent majority is thinking. So in some…
[MB] It's not clear to me why you think +1 is bad form.  I interpret
+1 to mean that an individual agrees with the
assessment/input/comments of the email to which they +1.  Rather than
regurgitate the information, it seems expedient to me to use +1 in
those cases.    Certainly, if no substantive comments are made or no
statement such as you indicate appears in the thread, then certainly
+1 isn't useful.  [/MB]

---

From: [email-masked] (Martin Rex)
Date: Mon, 25 Feb 2013 20:30:58 +0100 (CET)

Jari Arkko wrote:
> Agree with what John, Brian, and others have said. FWIW, at times
> - particularly with documents having some controversy - the ADs are
> left wondering what the silent majority is thinking.

I've previously mentioned that I believe the current IESG ballot rules
are insufficient.  They should be changed to require a positive confirmation
from *TWO* IESG members, not just one (the latter being the AD who brings
the document to the IESG).

I believe that at least two IESG members should confirm that they believe
publication of a specific document is a good idea.  IMO, the current
rules go too far in substituting "rough consensus" by "no objection".

-Martin

---

From: Warren Kumari <[email-masked]>
Date: Mon, 25 Feb 2013 15:06:37 -0500

> statement such as you indicate appears in the thread, then certainly

I suspect it is because it is very hard to know if someone replying with '+1' has actually read / has a useful opinion on whatever they are replying to, or is just going alone with the herd…

Then again, which is more useful / less annoying?:
Version 1: 
"I also do not understand why +1 is bad form.
Instead of simply restating in other words that which was said previously, I could simply reply with +1 to show that I agree with a particular stance.

Obviously, if there are no comments of substance in the discussion then simply replying with +1 is not contributing anything"

or, Version 2:
"+1"

:-P

W

--
The duke had a mind that ticked like a clock and, like a clock, it regularly went cuckoo.

    -- (Terry Pratchett, Wyrd Sisters)

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Mon, 25 Feb 2013 20:33:04 +0000

On Feb 23, 2013, at 6:41 AM, John C Klensin <[email-masked]> wrote:

> there is no actual evidence of _community_ consensus. 

For this reason, in a working group near me, when we put out a WGLC we explicitly state that we are looking not only for objections, but for support. As a document shepherd, I will represent to the IESG that whatever document I send them is in one of a few states:

1) we got tired of the document and kicked it in their general direction
2) there is a smallish group within the working group that actually cares about this, and they agree
3) a large fraction of the working group is in support of this

and of course, in any of those scenarios, there remains no pending issue that has not been pummeled to death, either resulting in consensus language or having a hold-out or two that is "in the rough".

I, as a chair, am thinking deeply about that right now. We just finished a working group last call on a document that has had tepid support in the working group for a while, and in WGLC had exactly two comments, both of which expressed non-support. I don't think I can send it to the IESG in that state, because I can't make the indicated representation.

---

From: Dave Crocker <[email-masked]>
Date: Mon, 25 Feb 2013 12:48:24 -0800

On 2/25/2013 11:16 AM, Mary Barnes wrote:
> assessment/input/comments of the email to which they +1.

During an actual discussion, a +1 often conveys plenty of information.

During a Last Call, the core requirement is to establish the substance 
of benefits and concerns.  As such, pro forma statements are just too 
easy to assure informed support (or non-support.)  In this context, a +1 
is often more like voting and possibly can be like ballot-box stuffing...

IMO, during a Last Call, people need to say /why/ they are in favor or 
against and the why needs to be about the substance of functionality, 
performance, operations, and/or the like.

d/

-- 
  Dave Crocker
  Brandenburg InternetWorking
  bbiw.net

---

From: Yoav Nir <[email-masked]>
Date: Mon, 25 Feb 2013 20:51:03 +0000

Hi, Jari.

> Agree with what John, Brian, and others have said. FWIW, at times - particularly with documents having some controversy - the ADs are left wondering what the silent majority is thinking. So in some…

Finding issues is one goal of LC. So to go back to Warren's example of draft-ietf-foo-dangerous-orangutangs, there of course is room for comments about why they spelled it Orangutan in the title, but Orangutang (with a g) in the abstract. And of course there's room for comments about why section 2 does not explain why DNSSEC would not protect web users from Orangutan(g)s.

But LC comments can also be about whether or not this is something that should be done at all. Maybe some believe that the IETF should not be dealing with Orangutans at all because we have already standardized on chimps. Or maybe ACME corporation has IPR on Orangutans and we should not deal with them. There can even be a comment saying that nobody needs this and nobody's going to implement this (OK, the ape example kind of fails here).

It's because of this last kind of comment that we need to show support. "I think this is a good document" is not a helpful comment. "I think this document will be useful for people implementing routing protocols" is. And if we get some +1's on that comment especially from people who know about routing, this is useful. In this case we shouldn't be looking for consensus, or rather not just for consensus. We also need a community of people who need this document. And some explanations as to why this is a good idea, along with some +1s is an OK way to determine that there is a community.

Yoav

---

From: Barry Leiba <[email-masked]>
Date: Mon, 25 Feb 2013 16:53:37 -0500

> Agree with what John, Brian, and others have said. FWIW, at times - particularly
> with documents having some controversy - the ADs are left wondering what the
> silent majority is thinking. So in some cases the private messages to the AD in
> question or to the IESG are helpful. And while "+1" is usually bad form, indicating
> that you've done a thorough review and found no issues is appreciated.

To go into a little detail on this point, let me talk about a
relatively recent document that came to the IESG as an AD-sponsored
item.  The document had, in its life of a few years, been offered to
at least two (i'm told three) working groups.  None of them objected
to it, but none of them wanted it, and, in the end, the author and the
sponsoring AD decided to go the AD-sponsored individual submission
route.

When I reviewed the document and its history, I found that, while it
had a bunch of comments about this or that working group not wanting
it, there was evidence of exactly two people, apart from the author
and AD, who had given it any *substantive* review and comment.  The
author discussed those comments and revised the document to address
them, so that was all fine.

I raised this as a question:
This is a document being approved in the IETF Stream, with boilerplate
that says it has IETF consensus:

   This document is a product of the Internet Engineering Task Force
   (IETF).  It represents the consensus of the IETF community.  It has
   received public review and has been approved for publication by the
   Internet Engineering Steering Group (IESG).

Does that document represent the consensus of the IETF community,
given that there was only evidence of substantive review from two
people outside the publication path?[1]

Now, perhaps... just perhaps... there were dozens of others who
reviewed it, thought it was perfectly fine and had no issues, and felt
they didn't need to say anything to that effect.  Perhaps all those
folks who said that they didn't think it should be adopted by the
working groups it was being offered to had given it very thorough
review, indeed, and found it to be an excellent document... just not
something they needed in their working groups.

That would have made a huge difference in my opinion of the level of
IETF consensus (and would have saved some cuts and bruises on the IESG
telechat).

Now, never mind any details of this particular document: the point is
that it's often useful to go on record somewhere, with someone, saying
that you've done a review, you have no issues (or agree with Ferd's
issue list, or whatever), and you're part of the consensus on the
document.  Whether those messages should be posted to the IETF list,
to the sponsoring AD, or elsewhere is a question I won't comment on.

Barry

[1] Arguably one, because one of the two was the document shepherd.
But in this case, the shepherd had reviewed it earlier, and could have
been asked to shepherd it because of that fact.  So I counted it as
two.

---

From: Edward Lewis <[email-masked]>
Date: Tue, 26 Feb 2013 06:27:35 +0800

From an earlier message:

> >with +1 is bad manners.

I have this scenario in mind:

A -12 comes out and I read it thoroughly and have about 10 points that need to be addressed.

So I respond to the document (not in last call) and all of the points are adequately (in my opinion) addressed.

A -13 is issued and sent to last call.

So - I shouldn't voice support?  Do I go down in the record as someone that had voiced concerns?  Or do I go down in the record as someone who supports the document?

At a recent address, Fadi Chehade (the new "head" of ICANN) spoke about the need for multi-stake holder input, that it was more important than expediency in going forward.  He was talking about ICANN, but his words apply to the IETF too.  What I took from his comments was (and this should be news to no one) that the goal is to produce documents that reflect as broad a consensus as possible, the goal is not to produce documents that lack complaints.

If only the whiners speak out, then all we get is the product of nitpicking.  So I believe that shows of support ("+1's) are important, as well as confirmation that comments raised (against a -12) are addressed (in a -13).

BTW, the -13, -12 and +1's are on different scales, different units, ... uh, never mind, it seemed funny at the time.

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Edward Lewis             
NeuStar                    You can leave a voice message at +1-571-434-5468

There are no answers - just tradeoffs, decisions, and responses.

---

From: Pete Resnick <[email-masked]>
Date: Tue, 26 Feb 2013 01:09:42 -0600

On 2/25/13 4:27 PM, Edward Lewis wrote:
> So I respond to the document (not in last call) and all of the points 
> are adequately (in my opinion) addressed.
>
> So - I shouldn't voice support?  Do I go down in the record as someone 
> that had voiced concerns?  Or do I go down in the record as someone 
> who supports the document?

When -13 comes out, a message saying "-13 addresses all of my issues" is 
good data. If you already sent such a message to the WG when -13 came 
out, then you're already "down in the record" and I'd expect the chair 
to mention in the writeup to the IESG, "A bunch of comments were 
received during WG last call and addressed to the commenters' 
satisfaction, so I think this document has gotten good positive support 
in its current form", and that's also perfectly good data.

(Similarly, saying during Last Call, "I intend to implement this thing; 
it looks really useful for my purposes" is good data, and if you've said 
it to the WG already, I expect -- in summary -- to hear about it in the 
writeup, and that's good data. And saying during Last Call, "I've never 
seen this document before in my life, but I've given it a review 'cause 
I'm a nice guy and it looks pretty good to me" is also pretty reasonable 
data.)

But saying "+1" or "I support this document" during Last Call *with no 
context* isn't all that useful from the point of view of someone calling 
consensus. The problem is there's no way to tell what precisely that 
means. It could mean, "I've been reviewing this and all of my previous 
concerns were answered", it could mean, "I'm planning on implementing", 
it could mean, "I did a random review and it looks good", or it could 
mean, "Someone told me I should say 'I support this document'." And that 
means you can only tell what it means by reputation of the speaker, 
which isn't a great metric for these sorts of things.

So yes, voice support, but do it in context. And if you've already 
voiced support (like to the WG), expect that it's been noticed and you 
don't need to voice it again.

pr

-- 
Pete Resnick<http://www.qualcomm.com/~presnick/>
Qualcomm Technologies, Inc. - +1 (858)651-4478

---

From: Eliot Lear <[email-masked]>
Date: Tue, 26 Feb 2013 08:36:41 +0100

> I suspect it is because it is very hard to know if someone replying with '+1' has actually read / has a useful opinion on whatever they are replying to, or is just going alone with the herd…

+1.